# cabal2spec-0.25.4
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name hledger

%global common_summary A double-entry accounting tool

%global common_description hledger reads a plain text general journal or time log \
describing your transactions and displays precise \
balance and register reports on the console. \
It is a remix, in haskell, of John Wiegley's excellent c++ \
ledger.  hledger aims to be a practical, accessible tool \
for end users and a useful library for finance-minded \
haskell programmers.

%global ghc_without_dynamic 1


Name:           %{pkg_name}
Version:        0.17
Release:        1%{?dist}
Summary:        Haskell %{pkg_name}

Group:          Applications/Productivity
License:        GPLv3
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-cabal-file-th-devel
BuildRequires:  ghc-csv-devel
BuildRequires:  ghc-haskeline-devel
BuildRequires:  ghc-hledger-lib-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-regexpr-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-utf8-string-devel

%description
%{common_description}


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install


# library subpackage
%ghc_package

%ghc_description


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}


%ghc_files


%changelog
* Wed Feb 29 2012 Ben Boeckel <mathstuf@gmail.com> - 0.17-1
- Initial package
